Subject: [Netconf] my review of draft-ietf-netconf-yang-library-03

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Tue, 12 Jan 2016 15:31:32 +0100

i have read and reviewed this document.

I am supportive of this document and I think it is in good
shape for publication.

I have one question, about the Security Considerations section,
which states:

    The YANG module defined in this memo is designed to be accessed via
    the NETCONF protocol [RFC6241].  The lowest NETCONF layer is the
    secure transport layer and the mandatory-to-implement secure
    transport is SSH [RFC6242].

Mmmm I guess that YNAG modules are (these days) designed to be
accessed by (at least) NETCONF and RESTCONF, no?

Not sure if the text/template needs updating. I can live with it.
But since I was reviewing this after I have reviewed the restconf
document, I wondered if the text above is 100% correct and (if not)
if we worry about that or not.

Bert